<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Сайт" prop="">
        <el-input v-model="this.personForm.contact.site"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Электронный документооборот" prop="">
        <el-select v-model="this.personForm.contact.edo" placeholder="Электронный документооборот">
          <el-option
              v-for="item in this.options.boolean"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата Электроннооборота" prop="">
        <el-date-picker
            v-model="this.personForm.contact.edo_date"
            type="date"
            placeholder="Дата Электроннооборота"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Комментарий" prop="">
        <el-input v-model="this.personForm.contact.comment"/>
      </el-form-item>
    </el-col>
    <template v-if="personForm.type_id === 1">
      <el-col :span="12">
        <el-form-item label="Подписант" prop="">
          <el-select v-model="this.personForm.people.podpisant" placeholder="Подписант">
            <el-option
                v-for="item in this.options.boolean"
                :key="item.id"
                :label="item.name"
                :value="item.id"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Должность" prop="">
          <el-input v-model="this.personForm.people.position"/>
        </el-form-item>
      </el-col>
    </template>
    <PhonesComponent/>
    <EmailsComponent/>
    <AddressesComponent/>

  </el-row>
</template>

<script>
import moment from "moment";
import PhonesComponent from "@/views/cabinet-components/person-form/contacts-components/PhonesComponent";
import EmailsComponent from "@/views/cabinet-components/person-form/contacts-components/EmailsComponent";
import AddressesComponent from "@/views/cabinet-components/person-form/contacts-components/AddressesComponent";
export default {
  components:{
    PhonesComponent,
    EmailsComponent,
    AddressesComponent,
  },
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>